Subject: bug#39668: 26.2; timer-list and timer-idle-list are undocumented in the Elisp manual

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 Feb 2020 20:35:15 +0200

> Date: Tue, 18 Feb 2020 17:54:28 +0000 (GMT)
> From: ndame <[email-masked]>
> 
> I checked under Timers for Delayed Execution, but there was no 
> info there how to get the list of active timers.
> 
> It mentions the list-timers command, but not the above variables,
> so I had to check the source code of list-timers to find out about
> these variables.

And what is wrong with that, may I ask?

These variables are internal implementation details of how timers work
in Emacs.  The ELisp manual documents the facilities available for
Lisp programs, it doesn't document how each facility is implemented --
for that, you indeed need to read the sources.